package com.bcxin.backend.tasks;

import com.bcxin.backend.domain.signature.service.SignatureToPDFService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

/**
 * 生成pdf文件到temp目录
 */
@Component
@ConditionalOnProperty(prefix = "myapps.signature",name = "enable",havingValue = "true")
public class SignatureJobTask extends TaskAbstract{

    private final SignatureToPDFService signatureToPDFService;

    public SignatureJobTask(SignatureToPDFService signatureToPDFService) {
        this.signatureToPDFService = signatureToPDFService;
    }


    @Override
    protected void runCore() {
        logger.error("====> 电子签章（无章PDF生成）定时任务开始：5分钟一次................");
        signatureToPDFService.cerPDF();
    }

    @Override
    public String getTaskName() {
        return "execute.signature.pdf.job.create_pdf";
    }

}
